Page MenuHomePhabricator

Document scap swat command
Closed, DeclinedPublic

Description

The command scap swat has been an available subcommand for deployers for a while. How does it work?

WIP: https://wikitech.wikimedia.org/wiki/SWAT_deploys/scap_swat

Event Timeline

thcipriani triaged this task as Normal priority.Jun 4 2018, 9:25 PM
thcipriani created this task.
mmodell claimed this task.Jun 5 2018, 11:11 PM
mmodell updated the task description. (Show Details)Jun 6 2018, 5:03 PM

I haven't had a chance to work on this due to unplanned phabricator incident response.

Vvjjkkii renamed this task from Document scap swat command to gnbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed mmodell as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
thcipriani renamed this task from gnbaaaaaaa to Document scap swat command.Jul 1 2018, 7:26 PM
thcipriani assigned this task to mmodell.
thcipriani updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 6:58 PM
thcipriani moved this task from Needs triage to Debt on the Scap board.Jul 11 2018, 12:21 AM
mmodell raised the priority of this task from Normal to High.Sep 4 2018, 9:41 AM
mmodell moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
mmodell moved this task from Backlog to Working on it on the User-MModell board.Sep 10 2018, 4:56 PM

I have committed to have something for this by the time of the offsite.

Alroilim removed mmodell as the assignee of this task.Feb 2 2019, 7:13 PM
Alroilim updated the task description. (Show Details)
Alroilim set Due Date to Feb 1 2019, 9:00 PM.
Alroilim added a subscriber: mmodell.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptFeb 2 2019, 7:13 PM
Aklapper assigned this task to mmodell.Feb 23 2019, 6:13 AM
Aklapper removed Due Date.
Aklapper updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptFeb 23 2019, 6:13 AM
mmodell changed the task status from Open to Stalled.Feb 25 2019, 5:46 PM
mmodell lowered the priority of this task from High to Normal.

I still intend to work on this but it's currently stalled due to big failures in the beta cluster that need my attention this week.

mmodell closed this task as Declined.Jun 21 2019, 12:41 PM

I no longer believe that scap swat is the right solution to the problem that it originally attempted to address. In the near future we will be working on other tooling to streamline swat deployments. I think this task can be laid to rest.